This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 955160 - ndjbdns package should be built with PIE flags
ndjbdns package should be built with PIE flags
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ndjbdns (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pjp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-22 09:37 EDT by Dhiru Kholia
Modified: 2014-03-24 23:43 EDT (History)
3 users (show)

See Also:
Fixed In Version: ndjbdns-1.05.8-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 21:58:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dhiru Kholia 2013-04-22 09:37:45 EDT
Description of problem:

http://fedoraproject.org/wiki/Packaging:Guidelines#PIE says that "you MUST
enable the PIE compiler flags if your package is long running ...".

However, currently ndjbdns is not being built with PIE flags. This is a
clear violation of the packaging guidelines.

This issue (in its wider scope) is being discussed at,

https://fedorahosted.org/fesco/ticket/1104

https://lists.fedoraproject.org/pipermail/devel/2013-March/180827.html

Version-Release number of selected component (if applicable):

ndjbdns-1.05.7-1.fc19.x86_64.rpm

How reproducible:

You can use following programs to check if a package is hardened:

http://people.redhat.com/sgrubb/files/rpm-chksec

OR

https://github.com/kholia/checksec

Steps to Reproduce:

Get scanner.py from https://github.com/kholia/checksec

$ ./scanner.py ndjbdns-1.05.7-1.fc19.x86_64.rpm
ndjbdns,ndjbdns-1.05.7-1.fc19.x86_64.rpm,/usr/bin/axfr-get,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Disabled,CATEGORY=None
ndjbdns,ndjbdns-1.05.7-1.fc19.x86_64.rpm,/usr/bin/dnsfilter,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-local
ndjbdns,ndjbdns-1.05.7-1.fc19.x86_64.rpm,/usr/bin/dnsip,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-local
ndjbdns,ndjbdns-1.05.7-1.fc19.x86_64.rpm,/usr/bin/dnsipq,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-local
ndjbdns,ndjbdns-1.05.7-1.fc19.x86_64.rpm,/usr/bin/dnsname,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-local
ndjbdns,ndjbdns-1.05.7-1.fc19.x86_64.rpm,/usr/bin/dnsq,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-local
ndjbdns,ndjbdns-1.05.7-1.fc19.x86_64.rpm,/usr/bin/dnsqr,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-local
ndjbdns,ndjbdns-1.05.7-1.fc19.x86_64.rpm,/usr/bin/dnstrace,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-local
ndjbdns,ndjbdns-1.05.7-1.fc19.x86_64.rpm,/usr/bin/dnstxt,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-local
ndjbdns,ndjbdns-1.05.7-1.fc19.x86_64.rpm,/usr/bin/randomip,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
ndjbdns,ndjbdns-1.05.7-1.fc19.x86_64.rpm,/usr/bin/rbldns-data,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Disabled,CATEGORY=None
ndjbdns,ndjbdns-1.05.7-1.fc19.x86_64.rpm,/usr/bin/tcprules,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
ndjbdns,ndjbdns-1.05.7-1.fc19.x86_64.rpm,/usr/bin/tinydns-data,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
ndjbdns,ndjbdns-1.05.7-1.fc19.x86_64.rpm,/usr/bin/tinydns-edit,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
ndjbdns,ndjbdns-1.05.7-1.fc19.x86_64.rpm,/usr/bin/tinydns-get,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
ndjbdns,ndjbdns-1.05.7-1.fc19.x86_64.rpm,/usr/sbin/axfrdns,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
ndjbdns,ndjbdns-1.05.7-1.fc19.x86_64.rpm,/usr/sbin/dnscache,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-local
ndjbdns,ndjbdns-1.05.7-1.fc19.x86_64.rpm,/usr/sbin/rbldns,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
ndjbdns,ndjbdns-1.05.7-1.fc19.x86_64.rpm,/usr/sbin/tinydns,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
ndjbdns,ndjbdns-1.05.7-1.fc19.x86_64.rpm,/usr/sbin/walldns,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
Comment 1 pjp 2013-04-22 13:34:56 EDT
This is fixed.

 -> https://github.com/pjps/ndjbdns/commit/2576f99d7da17185c74785474ce312116ad7dac6

Thanks so much for reporting it, I appreciate it.

Thank you! :)
Comment 2 Fedora Update System 2013-09-02 05:39:40 EDT
ndjbdns-1.05.8-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ndjbdns-1.05.8-1.fc18
Comment 3 Fedora Update System 2013-09-02 05:40:10 EDT
ndjbdns-1.05.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ndjbdns-1.05.8-1.fc19
Comment 4 Fedora Update System 2013-09-02 19:28:38 EDT
Package ndjbdns-1.05.8-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ndjbdns-1.05.8-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15656/ndjbdns-1.05.8-1.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-09-06 09:43:00 EDT
ndjbdns-1.05.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ndjbdns-1.05.8-1.el6
Comment 6 Fedora Update System 2013-09-06 09:43:56 EDT
ndjbdns-1.05.8-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ndjbdns-1.05.8-1.el5
Comment 7 Fedora Update System 2013-09-10 21:58:21 EDT
ndjbdns-1.05.8-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-09-10 21:58:48 EDT
ndjbdns-1.05.8-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-09-23 14:11:19 EDT
ndjbdns-1.05.8-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-09-23 14:12:18 EDT
ndjbdns-1.05.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.